<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It is a breeze. Simply tell Lumen the URIs it should respond to
| and give it the Closure to call when that URI is requested.
|
*/

$router->get('/', function () use ($router) {
    return $router->app->version();
});

$router->get('/updateCustomer', 'SurveyController@updateCustomer');

$router->post('/subscriptionCreatedEventWebhook', 'IterableWebhookController@subscriptionCreatedEventWebhook');

$router->post('/subscriptionCanceledEventWebhook', 'IterableWebhookController@subscriptionCanceledEventWebhook');

$router->post('/upcomingChargesEventWebhook', 'IterableWebhookController@upcomingChargesEventWebhook');

//$router->get('/quizCompletionEvent', 'SurveyController@quizCompletionEvent');

$router->post('/orderCreateEventWebhook', 'IterableWebhookController@orderCreateEventWebhook');

$router->get('/sendProspectEvent', 'SurveyController@sendProspectEvent');
